%define enable_gpgme 0
%{?_with_gpgme: %global enable_gpgme 1}

Summary:	Balsa Mail Client
Name:		balsa
Version:        2.3.4
Release:        %mkrel 1
License:	GPL
Group:		Networking/Mail

Source0:	http://balsa.gnome.org/%{name}-%{version}.tar.bz2

URL:		http://www.balsa.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	autoconf2.5
BuildRequires:  aspell-devel >= 0.50
BuildRequires:	libesmtp-devel
BuildRequires:  libgnomeprintui-devel >= 2.1.7
BuildRequires:  libgnomeui2-devel
# in balsa, gtkhtml 3.x is preferred over 2.x
BuildRequires:	libgtkhtml-3.0-devel
#BuildRequires:	gtkhtml2-devel
BuildRequires:	libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:  scrollkeeper
BuildRequires:	sendmail-command
BuildRequires:	ImageMagick
BuildRequires:	libldap-devel
BuildRequires:	intltool
BuildRequires:  libltdl-devel
BuildRequires:	libgmime-devel >= 2.1.7
BuildRequires:	krb-devel

%if %enable_gpgme
BuildRequires:	gpgme-devel >= 0.4.2
%endif

Prereq:		yelp
PreReq:         scrollkeeper >= 0.3


%description
Balsa is an e-mail reader.

This client is part of the GNOME desktop environment. It supports local
mailboxes, POP3 and IMAP.
 
*** Build options: ***
--with gpgme              Build with gpgme/GnuPG support

%prep
%setup -q
#intltoolize -c -f
WANT_AUTOCONF_2_5=1 autoconf

%build
%configure2_5x	\
	--with-gtkhtml \
	--with-gss=yes \
%if %enable_gpgme
	--with-gpgme \
%endif
	--with-ssl \
	--with-ldap=yes

make

%install
rm -rf %{buildroot}
%makeinstall_std GTK_UPDATE_ICON_CACHE="/usr/bin/gtk-update-icon-cache --ignore-theme-index"

# Menu entry
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}): needs="x11" \
                 section="Internet/Mail" \
		 title="Balsa" \
		 longtitle="Balsa Mail Client" \
		 command="%{_bindir}/%{name}" \
		 icon="%{name}.png"
EOF

# Icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       gnome-balsa2.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -geometry 32x32 gnome-balsa2.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -geometry 16x16 gnome-balsa2.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

for i in %{buildroot}%{_datadir}/gnome/help/%{name}/*; do
  touch $i/%{name}.html
done

%clean
rm -fr %{buildroot}

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/balsa.xml > /dev/null; fi
touch %{_datadir}/gnome/help/%{name}/C/%{name}.html
%update_menus

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/sounds/*
%{_datadir}/icons/*
%{_libdir}/bonobo/servers/*.server
%{_mandir}/*/*
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Sep 08 2005 Andreas Hasenack <andreas@mandriva.com> 2.3.4-1mdk
- updated to version 2.3.4
- removed ldap patch, already applied
- removed lib64 patch which was *not* being applied (but the patch itself
  was lying around)
- enabled GSSAPI authentication (tested OK)
- ignore theme index in make install
- rebuilt with openldap-2.3.x

* Sun Jul 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.3-2mdk
- Rebuild

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 2.3.3-1mdk
- New release 2.3.3
- patch to make ldap compile

* Thu Mar 10 2005 Jerome Soyer <saispo@mandrake.org> 2.3.0-1mdk
- New release

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.6-4mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.6-3mdk
- rebuilt against new openldap libs

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.6-2mdk 
- Rebuild with latest howl

* Mon Nov 22 2004 Jerome Soyer <saispo@mandrake.org> 2.2.6-1mdk
- 2.2.6

* Wed Nov 10 2004 Jerome Soyer <saispo@mandrake.org> 2.2.5-1mdk
- 2.2.5
- Disable intltoolize

* Tue Sep 24 2004 Jerome Soyer <saispo@mandrake.org> 2.2.4-1mdk
- 2.2.4

* Thu Aug 19 2004 Jerome Soyer <saispo@mandrake.org> 2.2.3-1mdk
- 2.2.3

* Wed Aug 11 2004 Jerome Soyer <saispo@mandrake.org>2.2.2-1mdk
- 2.2.2

* Tue Jul 20 2004 Pascal Terjan <pterjan@mandrake.org> 2.2.0-1mdk
- 2.2.0
- Drop patch2 (upstream)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.17-1mdk
- 2.0.17

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.16-3mdk
- Rebuild against latest gal/gtkhtml

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.16-2mdk
- Fix buildrequires (thx Stefan's bot)

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.16-1mdk
- New version
- Remove patch0 (upstream)
- Remove old distro BuildRequires because they are wrong, please supply
  correct ones later on if desired
- Regen patch1

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 2.0.13-5mdk
- BuildRequires

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.14-4mdk
- lib64 & 64-bit fixes
- really enable LDAP support

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.14-3mdk
- Fix buildrequires

* Fri Aug 29 2003 Austin Acton <aacton@yorku.ca> 2.0.14-2mdk
- fix line wrap

* Wed Aug 27 2003 Austin Acton <aacton@yorku.ca> 2.0.14-1mdk
- 2.0.14

* Wed Jul 30 2003 Austin Acton <aacton@yorku.ca> 2.0.13-1mdk
- 2.0.13

* Sat Jul 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.11-2mdk
- buildrequires

* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 2.0.11-1mdk
- 2.0.11

* Mon May 26 2003 David BAUDENS <baudens@mandrakesoft.com> 2.0.10-2mdk
- Rebuild

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 2.0.10-1mdk
- 2.0.10

* Tue Mar 04 2003 Laurent Culioli <laurent@pschit.net> 2.0.9-1mdk
- 2.0.9 (bug fixes)

* Thu Feb 20 2003 Laurent Culioli <laurent@pschit.net> 2.0.8-1mdk
- From Austin Acton <aacton@yorku.ca> :
	- 2.0.8 (many bug fixes)
	- buildrequires libldap2-devel, libsasl7-devel

* Tue Jan 28 2003 Laurent Culioli <laurent@pschit.net> 2.0.5-1mdk
- 2.0.5
- Drop patch0

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-4mdk
- Recompiled against latest gal/gtkhtml/aspell
- Fix BuildRequires
- Patch0: fix compilation with aspell >= 0.50.2

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-2mdk
- BuildRequires

* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-4mdk
- xpm -> png icons

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-3mdk
- Rebuild with libgal19

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-2mdk
- BuildRequires

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-1mdk
- Release 1.2.3

* Wed Sep 05 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-7mdk
- BuildRequires:	libpspell3-devel --> libpspell-devel
- Removed redundant BuildRequires.

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-6mdk
- BuildRequires:	db1-devel

* Fri May 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-5mdk
- Don't do anything but rebuild with the shiny libltdl.so.3.

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1.0-4mdk
- rebuild with new libpspell

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.0-3mdk
- Build with gcc

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-2mdk
- Recompiled against latest gnome-print

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.1.0

* Mon Jan 0000000008 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.1-2mdk
- BuildRequires: libxml-devel, libltdl0-devel - Thanx to Guillaume ROUSSE

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- Add some BuildRequires
- Add some options to configure

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.pre2.2mdk
- Fix BuildRequires
- Fix %%post and %%postun
- Spec clean up

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.pre2.1mdk
- Release 1.0-pre2
- use more macros

* Mon Aug 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- macros
- BM
- lang
- bzip2 patch

* Tue Jul  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.0-1mdk
- Up to 0.9.0

* Mon Jun 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.1-1mdk
- UP to 0.8.1

* Fri Jun 16 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.0-1mdk
- First mdk release
- Mandrake adaptations
- Add menu entry
- Add icons

* Thu Dec 30 1999 Bruno Pires Marinho <bapm@camoes.rnl.ist.utl.pt>
- Improved the spec file by adding a sysconfdir=/etc, removing the man
  instalation because balsa does it now and adding the files on the /etc
  to the distribution

* Tue Oct  5 1999 Jan Nieuwenhuizen <janneke@gnu.org>
- Fixed man install

* Sun Sep 26 1999 Stuart Parmenter <pavlov@balsa.net>
- Updated to version 0.5.0

* Mon Dec 14 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.8.

* Sun Sep 09 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.7.

* Sun Aug 23 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.5.

* Mon Aug  3 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated to version 0.4.0.

* Sun Jul 26 1998 Stuart Parmenter <pavlov@pavlov.net>
- Updated RPM file to reflect recent changes with the
  removal of c-client.

* Thu Apr 02 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
